<template>
  <page-layout :cover="cover" coverColor="bg-gray-100">
    <!-- Page Content Start -->
    <lazy-hydrate ssr-only>
      <section class="min-h-screen px-6 flex flex-col items-center bg-gray-100 sm:px-20">
        <div class="max-w-5xl my-12 md:my-20 xl:my-32">
          <div class="markdown" v-html="content.legal_text" />
        </div>
      </section>
    </lazy-hydrate>
    <!-- Page Content End -->
  </page-layout>
</template>

<script>
export default {
  name: 'Legal',
  computed: {
    cover() {
      return this.$page.content.cover;
    },
    content() {
      const { content } = this.$page.content;

      return {
        legal_text: content,
      };
    },
  },
  metaInfo() {
    const { title, description } = this.$page.content.meta;

    return {
      title,
      meta: [
        {
          key: 'description',
          name: 'description',
          content: description,
        },
      ],
    };
  },
};
</script>

<page-query>
query LegalPageContent {
  content: legalPageContent(path: "/content/legal/") {
    meta {
      title
      description
    }
    cover {
      headline
      cover_image {
        image
        description
      }
    }
    content
  }
}
</page-query>

